\exo{}

Soit une suite $(u_n)_{n\in\N^*}$ telle que
\begin{equation*}
  \underset{n\to\infty}{\lim} u_{2n} = a \text{ et }\underset{n\to\infty}{\lim} u_{2n+1} = b
\end{equation*}

On pose $ U_n = \frac{1}{n} \sum_{i=1}^n{u_i}$. Calculer $\underset{n\to\infty}{\lim} U_n$.



\ifwithcorrection \correction
On pose $v_n = \begin{cases}
  v_{2n} = u_{2n} -a \\ 
  v_{2n+1} = u_{2n} -b \\
\end{cases} $ de sorte que $(v_n)$ tend vers $0$.

Par Césaro, $V_n= \frac{1}{n} \sum_{i=1}^n {v_i} \underset{n\to\infty}{\longrightarrow} 0$.


Or $U_{2n} -V_{2n} = \frac{1}{2n}\sum_{i=1}^{2n}{u_i-v_i} = \frac{1}{2n}(na +nb) \underset{n\to\infty}{\longrightarrow} \frac{a+b}{2}$.

Et $U_{2n+1}-V_{2n+1} = \frac{1}{2n+1}\sum_{i=1}^{2n+1}{u_i-v_i} = \frac{1}{2n+1}(na +(n+1)b) \underset{n\to\infty}{\longrightarrow} \frac{a+b}{2}$

On a donc bien $(U_n)$ converge vrs $\frac{a+b}{2}$.

\fi
